//***************************************************************************

// Copyright (C) 2009 Realmac Software Ltd
//
// These coded instructions, statements, and computer programs contain
// unpublished proprietary information of Realmac Software Ltd
// and are protected by copyright law. They may not be disclosed
// to third parties or copied or duplicated in any form, in whole or
// in part, without the prior written consent of Realmac Software Ltd.

// Created by Danny Greg on 25/08/2010. 

//***************************************************************************

#import <Cocoa/Cocoa.h>

//***************************************************************************

extern NSString *const RMRegistrationOrderCompleteViewControllerShouldCloseNotificationName;

@interface RMRegistrationOrderCompleteViewController : NSViewController {
	NSImageView *backgroundImageView;
	NSButton *closeButton;
}

@property (readonly) IBOutlet NSImageView *backgroundImageView;
@property (readonly) IBOutlet NSButton *closeButton;

@property (nonatomic, readonly) NSString *appName;

- (id)init;

- (IBAction)hideOrderCompleteView:(id)sender;

@end
